/*
 * 
 * Trigger Detect
 * 
 * 
 * Detecting triggers is essential to interact with other modules, for example to generate short bursts of sounds
 * Try the output of simple-lfo.ino with this patch and open the serial monitor to see what happens!
 * 
 * A3 = Trigger in
 * 
 */


bool triggered; // logic: trigered, yes or no
<<<<<<< HEAD
=======

>>>>>>> 90939591a6ad3754ea764cdcf2a32970a3156486
long randNumber; //variable to store random number
int pwmPin = 11; //define output pin, Meergranen output pin is 11

void setup() {
  // if analog input pin 5 is unconnected, random analog
  // noise will cause the call to randomSeed() to generate
  // different seed numbers each time the sketch runs.
  // randomSeed() will then shuffle the random function.
  randomSeed(analogRead(5));
  
  pinMode(pwmPin,OUTPUT); //set pwmPin to output mode (otherwise the built-in pulldown resistor sets it as input, aka you wont hear anything)
}

void loop() {
  randNumber = random(10, 100); //generate random number between 10 and 100
  digitalWrite(pwmPin, LOW); //set output pin to LOW (0v)
  delayMicroseconds(randNumber);//wait for randomNumber (10-100 Mircroseconds (0.00001-0.0001 seconds))
  digitalWrite(pwmPin, HIGH); //set output pin to HIGH (5v)
  delayMicroseconds(randNumber); //wait for randomNumber (10-100 Mircroseconds (0.00001-0.0001 seconds))
}
  
 // int input3 = digitalRead(A3); // read analog pin 3
  int input3 = true;
  //  trigger 
  if(input3 && !triggered) { //if there is a reading on input3 and the bool condition triggered is not true do
      Serial.println("I hear a trigger!");
      // DO SOMETHING ON TRIGGER HERE
      for(int i=0; i<100; i++){
      randNumber = random(10, 1000000); //generate random number between 10 and 100
      digitalWrite(pwmPin, LOW); //set output pin to LOW (0v)
      delayMicroseconds(randNumber);//wait for randomNumber (10-100 Mircroseconds (0.00001-0.0001 seconds))
      digitalWrite(pwmPin, HIGH); //set output pin to HIGH (5v)
      delayMicroseconds(randNumber); //wait for randomNumber (10-100 Mircroseconds (0.00001-0.0001 seconds))

      triggered = true;
      }
    }
    else if(!input3 && triggered) { //if there is no reading on input3 and condition triggered is true (aka sound is playing), set triggered to false, aka stop playing 
      // STOP WHEN NO TRIGGER IS PRESENT (or do something else ;)
      triggered = true;
    }

}
